# class SccpLocalSubsystem |
Full name | `TelEngine::SccpLocalSubsystem`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SccpLocalSubsystem (unsigned char ssn, u_int64_t coordInterval, u_int64_t istInterval, unsigned char smi = 0)
- virtual ~SccpLocalSubsystem ()
- inline unsigned char getSSN ()
- inline void setState (SCCPManagement::SccpStates newState)
- inline SCCPManagement::SccpStates getState ()
- inline void startCoord ()
- inline bool ignoreTests ()
- void setIgnoreTests (bool ignore)
- bool timeout ()
- void manageTimeout (SCCPManagement* mgm)
- inline void stopCoordTimer ()
- inline unsigned char getSmi ()
- void dump (String& dest)
- bool receivedSOG (unsigned char ssn, int pointcode)
- inline void resetTimers ()
- inline void clearBackups ()
- inline void appendBackup (RemoteBackupSubsystem* backup)

## Detailed Description

SccpLocalSubsystem (unsigned char ssn, u_int64_t coordInterval, u_int64_t istInterval, unsigned char smi = 0) | ### SccpLocalSubsystem

Constructor

Parameters:

ssn | The subsystem number
coordInterval | The time interval for coordinate changed timer
istInterval | The time interval for ignore status test timer
smi | Subsystem multiplicity indicator

~SccpLocalSubsystem () | ### ~SccpLocalSubsystem

[virtual]

Destructor

inline unsigned char getSSN () | ### getSSN

Obtain the subsystem number number of this sccp subsystem

Returns: The ssn associated with this subsystem

inline void setState (SCCPManagement::SccpStates newState) | ### setState

Set a new state of this SCCP subsystem

Parameters:

newState | Thew new state to set

inline SCCPManagement::SccpStates getState () | ### getState

Obtain the state associated with this sccp subsystem

Returns: The state of this SCCP subsystem

inline void startCoord () | ### startCoord

Start coordinate change timer

inline bool ignoreTests () | ### ignoreTests

Check if this subsystem should ignore SST (Subsystem status test)

void setIgnoreTests (bool ignore) | ### setIgnoreTests

Inform this subsystem if should ignore subsystem status tests

Parameters:

ignore | True to ignore subsystem status tests

bool timeout () | ### timeout

Check if coordinate change timer has timed out

Returns: True if coordinate change timer has timed out

void manageTimeout (SCCPManagement* mgm) | ### manageTimeout

Handle coord timer timeout

Parameters:

mgm | Pointer to sccp management who owns this sccp local subsystem

inline void stopCoordTimer () | ### stopCoordTimer

Stop coordinate change timer

inline unsigned char getSmi () | ### getSmi

Obtain the subsystem multiplicity indicator of this subsystem

Returns: The Subsystem multiplicity indicator

void dump (String& dest) | ### dump

Dump this sccp subsystem status

Parameters:

dest | Destination string

bool receivedSOG (unsigned char ssn, int pointcode) | ### receivedSOG

Process a subsystem out of service grant message

Parameters:

ssn | The remote ssn
pointcode | The remote pointcode

Returns: True if the message was procesed

inline void resetTimers () | ### resetTimers

Helper method used to reset timers

inline void clearBackups () | ### clearBackups

Clear remote backup subsystems

inline void appendBackup (RemoteBackupSubsystem* backup) | ### appendBackup

Append new backup subsystem

Parameters:

backup | The backup subsystem to append

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.